ch.qos.logback.core.db.dialect

## Class SQLiteDialect

- java.lang.Object
- - ch.qos.logback.core.db.dialect.SQLiteDialect

All Implemented Interfaces:
  SQLDialect

    public class SQLiteDialect
    extends java.lang.Object
    implements SQLDialect

SQLite dialect Note that the dialect is not needed if your JDBC driver supports the getGeneratedKeys method introduced in JDBC 3.0 specification.

Author:
  Anthony Trinh

### Field Summary

Fields
`static java.lang.String` `SELECT_CURRVAL`

### Constructor Summary

Constructors
Constructor and Description
`SQLiteDialect()`

### Method Summary

Methods
`java.lang.String` `getSelectInsertId()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SELECT_CURRVAL

    public static final java.lang.String SELECT_CURRVAL

See Also:
  Constant Field Values

### Constructor Detail

#### SQLiteDialect

    public SQLiteDialect()

### Method Detail

#### getSelectInsertId

    public java.lang.String getSelectInsertId()

Specified by:
  `getSelectInsertId` in interface `SQLDialect`